aboutsummaryrefslogtreecommitdiffstats
path: root/tools/hotplug
diff options
context:
space:
mode:
authorOlaf Hering <olaf@aepfle.de>2011-12-01 18:27:42 +0000
committerOlaf Hering <olaf@aepfle.de>2011-12-01 18:27:42 +0000
commit48d95aee7d752efe3d9cdf2399e6a12b5a70e6f5 (patch)
tree8ae4ea4b131a0aa038f2d694225eb5bb1972f541 /tools/hotplug
parentb814bb097202ea188a5f6f3a91d337f7810d140e (diff)
downloadxen-48d95aee7d752efe3d9cdf2399e6a12b5a70e6f5.tar.gz
xen-48d95aee7d752efe3d9cdf2399e6a12b5a70e6f5.tar.bz2
xen-48d95aee7d752efe3d9cdf2399e6a12b5a70e6f5.zip
tools: init.d/Linux/xencommons: run script only when needed
Currently xencommons prints an error that /proc/xen/capabilities does not exist when started on a non-xen kernel. Update the xencommons script to run only when needed: - do not run if /proc/xen does not exist - check if /proc/xen/capabilities exists before doing the grep for dom0 Signed-off-by: Olaf Hering <olaf@aepfle.de> Acked-by: Ian Jackson <ian.jackson@eu.citrix.com> Committed-by: Ian Jackson <ian.jackson@eu.citrix.com>
Diffstat (limited to 'tools/hotplug')
-rw-r--r--tools/hotplug/Linux/init.d/xencommons13
1 files changed, 11 insertions, 2 deletions
diff --git a/tools/hotplug/Linux/init.d/xencommons b/tools/hotplug/Linux/init.d/xencommons
index 26ab303279..1378bef0fa 100644
--- a/tools/hotplug/Linux/init.d/xencommons
+++ b/tools/hotplug/Linux/init.d/xencommons
@@ -29,15 +29,24 @@ test -f $xencommons_config/xencommons && . $xencommons_config/xencommons
XENCONSOLED_PIDFILE=/var/run/xenconsoled.pid
shopt -s extglob
+# not running in Xen dom0 or domU
+if ! test -d /proc/xen ; then
+ exit 0
+fi
+
+# mount xenfs in dom0 or domU with a pv_ops kernel
if test "x$1" = xstart && \
- test -d /proc/xen && \
! test -f /proc/xen/capabilities && \
! grep '^xenfs ' /proc/mounts >/dev/null;
then
mount -t xenfs xenfs /proc/xen
fi
-if ! grep -q "control_d" /proc/xen/capabilities ; then
+# run this script only in dom0:
+# no capabilities file in xenlinux domU kernel
+# empty capabilities file in pv_ops domU kernel
+if test -f /proc/xen/capabilities && \
+ ! grep -q "control_d" /proc/xen/capabilities ; then
exit 0
fi